(function ($) {
  Drupal.behaviors.basepack_slideshow = {
    attach: function (context, settings) {
      let basepackSlideshow = $('.basepack-slideshow--slick');

      if (basepackSlideshow.attr("data-bullets") == 0 ) {
        var bullets = true;
      } else {
        var bullets = false;
      };

      if (basepackSlideshow.attr("data-numbers") == 1 ) {
        var bullets = true;
        var numbers = true;
      } else {
        var numbers = false;
      };

      if (basepackSlideshow.attr("data-autoplay") == 0 ) {
        var autoplay = true;
      } else {
        var autoplay = false;
      };

      if (basepackSlideshow.attr("data-sspeed").length) {
        var speed = basepackSlideshow.attr("data-sspeed");
      };

      if (basepackSlideshow.attr("data-loop") == 0 ) {
        var loop = true;
      } else {
        var loop = false;
      };

      if (basepackSlideshow.attr("data-arrows") == 0 ) {
        var arrows = true;
      } else {
        var arrows = false;
      };

      if (basepackSlideshow.attr("data-direction") == "up_to_down" ) {
        var vertical = true;
      } else {
        var vertical = false;
      };


      basepackSlideshow.not('.slick-initialized').slick({
        arrows: arrows, 
        dots: bullets,
        infinite: loop,
        speed: speed,
        slidesToShow: 1,
        autoplay: autoplay,
        autoplaySpeed:1500,
        vertical: vertical,
        verticalSwiping: vertical, 
        customPaging: function (slider, i) {
          if (numbers) {
            return `<button class="custom-dot">${i + 1}</button>`;
          } else {
            return `<button class="dot">item</button>`;
          };
        }
      }); 
    }
  };

})(jQuery);
