(function ($) {
  Drupal.behaviors.basepack_carousel = {
    attach: function (context, settings) {
      let basepackCarousel = $('.basepack-carousel-items');

      if (basepackCarousel.attr("data-autoplay") == 0 ) {
        var autoplay = false;
      } else {
        var autoplay = true;
      };

      if (basepackCarousel.attr("data-delay").length) {
        var delay = basepackCarousel.attr("data-delay");
      } else {
        var delay = 300;
      };

      if (basepackCarousel.attr("data-items").length) {
        var itemscarousel = basepackCarousel.attr("data-items");
      } else {
        var itemscarousel = 3;
      };


      basepackCarousel.not('.slick-initialized').slick({
        dots: true,
        slidesToShow: itemscarousel,
        autoplay: autoplay,
        autoplaySpeed: delay,
        responsive: [
          {
            breakpoint: 992,
            settings: {
              slidesToShow: 2,
              slidesToScroll: 1,              
            }
          },
          {
            breakpoint: 768,
            settings: {
              slidesToShow: 1,
              slidesToScroll: 1,              
            }
          },
        ],
      }); 
    }
  };

})(jQuery);
